Bug 134458

Summary: editors/openoffice.org* fails to build (multiple versions)
Product: Ports & Packages Reporter: Olaf Seibert <olafs>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me CC: olafs
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Olaf Seibert 2009-05-11 10:20:01 UTC
	I have tried to build different versions of OpenOffice from
	recently updated ports. They all fail with some problem with the
	(apparently built-in) Python.

	I tried editors/openoffice.org-3, openoffice.org-2 and
	openoffice.org-3-devel.

	The exact symptoms differ slightly, but 2 of the three ended
	with this:

1 module(s):
        pyuno
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/pyuno/zipcore

Attention: if you build and deliver the above module(s) you may prolongue your the build issuing command "build --from pyuno"

rmdir /tmp/81540
*** Error code 1

Stop in /usr/ports/editors/openoffice.org-3-devel.

	The other ended earlier.o

	The relevant output earlier on (at about 28% of the build
	output) seems to be

Running processes: 0
Running processes: 1
/usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/pyuno/zipcore
-------------
dmake:  Error: -- `/usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/solver/300/unxfbsdx.pro/bin/python' not found, and can't be made
Running processes: 0
=============

	Possibly the following error, which I found amongst the output
	of building Python, is relevant:

building '_curses' extension
cc -pthread -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -fPIC -fno-strict-aliasing -I. -I/usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/python/unxfbsdx.pro/misc/build/Python-2.3.4/./Include -I/usr/local/include -I/usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/python/unxfbsdx.pro/misc/build/Python-2.3.4/Include -I/usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/python/unxfbsdx.pro/misc/build/Python-2.3.4 -c /usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/python/unxfbsdx.pro/misc/build/Python-2.3.4/Modules/_cursesmodule.c -o build/temp.freebsd-6.1-RELEASE-amd64-2.3/_cursesmodule.o
cc -shared build/temp.freebsd-6.1-RELEASE-amd64-2.3/_cursesmodule.o -L/usr/local/lib -lncurses -o build/lib.freebsd-6.1-RELEASE-amd64-2.3/_curses.so
Segmentation fault (core dumped)
gmake: *** [sharedmods] Error 139


	Further down there is another segfault (or maybe a repeated
	attempt at building the missing target):

case $MAKEFLAGS in \
        *-s*) LD_LIBRARY_PATH=/usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/python/unxfbsdx.pro/misc/build/Python-2.3.4:/usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/solver/300/unxfbsdx.pro/lib:. CC='cc -pthread' LDSHARED='cc -shared ' OPT='-DNDEBUG -g -O3 -Wall -Wstrict-prototypes'  ./python -E ./setup.py -q build;; \
        *) LD_LIBRARY_PATH=/usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/python/unxfbsdx.pro/misc/build/Python-2.3.4:/usr/ports/editors/openoffice.org-3-devel/work/DEV300_m46/solver/300/unxfbsdx.pro/lib:. CC='cc -pthread' LDSHARED='cc -shared ' OPT='-DNDEBUG -g -O3 -Wall -Wstrict-prototypes'  ./python -E ./setup.py build;; \
        esac
running build
running build_ext  
Segmentation fault (core dumped)
gmake: *** [sharedmods] Error 139
touch ./unxfbsdx.pro/misc/build/so_installed_so_python
touch ./unxfbsdx.pro/misc/build/so_predeliver_so_python
rm -f ./unxfbsdx.pro/misc/pyversion.mk
cat pyversion.mk ./unxfbsdx.pro/misc/build/so_predeliver_so_python > ./unxfbsdx.pro/misc/pyversion.mk
Running processes: 0
deliver -- version: 266154
Module 'python' delivered successfully. 967 files copied, 71 files unchanged
=============

Fix: 

None known.


-Olaf.
--
How-To-Repeat: 	Try to build several versions of OpenOffice.org on
	FreeBSD/amd64 6.1.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-05-12 22:31:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 Martin Wilke freebsd_committer 2011-02-13 04:32:35 UTC
State Changed
From-To: open->closed

FreeBSD 6.1 is no longer supported.